summaryrefslogtreecommitdiffstats
path: root/perl-unix-syslog/perl-unix-syslog.install
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xssn.at>2010-03-01 20:44:17 +0100
committerFlorian Pritz <bluewind@xssn.at>2010-03-01 20:44:17 +0100
commit194af840fa8a77f1e763b2089a3014aa2d56fb1d (patch)
treea18e74c2daaf7c1b3530b6acfd81f59dc6eb1404 /perl-unix-syslog/perl-unix-syslog.install
parent669802590369b3f606079f0c5192752bd97f0497 (diff)
downloadaur-packages-194af840fa8a77f1e763b2089a3014aa2d56fb1d.tar.gz
aur-packages-194af840fa8a77f1e763b2089a3014aa2d56fb1d.tar.xz
update
Signed-off-by: Florian Pritz <bluewind@xssn.at>
Diffstat (limited to 'perl-unix-syslog/perl-unix-syslog.install')
-rw-r--r--perl-unix-syslog/perl-unix-syslog.install19
1 files changed, 19 insertions, 0 deletions
diff --git a/perl-unix-syslog/perl-unix-syslog.install b/perl-unix-syslog/perl-unix-syslog.install
new file mode 100644
index 0000000..641c385
--- /dev/null
+++ b/perl-unix-syslog/perl-unix-syslog.install
@@ -0,0 +1,19 @@
+post_install()
+{
+
+ echo -n "module test... "
+
+ perl -mUnix::Syslog -e "exit 0;" 2> /dev/null && echo 'pass.' || echo 'fail.'
+
+}
+
+post_upgrade()
+{
+ post_install
+}
+
+op=$1
+
+shift
+
+$op $*